### Method

# Vips Object local_array

#### Declaration [src]

    VipsObject**
    vips_object_local_array (
      VipsObject* parent,
      int n
    )

#### Description [src]

Make an array of `NULL` `VipsObject` pointers. When `parent` closes, every non-`NULL` pointer in the array will be unreffed and the array will be freed. Handy for creating a set of temporary images for a function.

The array is `NULL`-terminated, ie. contains an extra `NULL` element at the end.

Example:

    VipsObject **t;

    t = vips_object_local_array(parent, 5);
    if (vips_add(a, b, &t[0], NULL) ||
        vips_invert(t[0], &t[1], NULL) ||
        vips_add(t[1], t[0], &t[2], NULL) ||
        vips_costra(t[2], out, NULL))
        return -1;

This method is not directly available to language bindings.

#### Parameters

`n`

  Type: `int`

  Array size.

#### Return value

Type: `VipsObject`

An array of `NULL` pointers of length `n`.

The returned data is owned by the instance.